package com.sun.xml.util;

public class XmlChars {
   private XmlChars() {
   }

   public static boolean isChar(int var0) {
      return var0 >= 32 && var0 <= 55295 || var0 == 10 || var0 == 9 || var0 == 13 || var0 >= 57344 && var0 <= 65533 || var0 >= 65536 && var0 <= 1114111;
   }

   private static boolean isCompatibilityChar(char var0) {
      switch (var0 >> 8 & 255) {
         case 0:
            return var0 == 170 || var0 == 181 || var0 == 186;
         case 1:
            return var0 >= 306 && var0 <= 307 || var0 >= 319 && var0 <= 320 || var0 == 329 || var0 == 383 || var0 >= 452 && var0 <= 460 || var0 >= 497 && var0 <= 499;
         case 2:
            return var0 >= 688 && var0 <= 696 || var0 >= 736 && var0 <= 740;
         case 3:
            return var0 == 890;
         case 5:
            return var0 == 1415;
         case 14:
            return var0 >= 3804 && var0 <= 3805;
         case 17:
            return var0 == 4353 || var0 == 4356 || var0 == 4360 || var0 == 4362 || var0 == 4365 || var0 >= 4371 && var0 <= 4411 || var0 == 4413 || var0 == 4415 || var0 >= 4417 && var0 <= 4427 || var0 == 4429 || var0 == 4431 || var0 >= 4433 && var0 <= 4435 || var0 >= 4438 && var0 <= 4440 || var0 == 4450 || var0 == 4452 || var0 == 4454 || var0 == 4456 || var0 >= 4458 && var0 <= 4460 || var0 >= 4463 && var0 <= 4465 || var0 == 4468 || var0 >= 4470 && var0 <= 4509 || var0 >= 4511 && var0 <= 4514 || var0 >= 4521 && var0 <= 4522 || var0 >= 4524 && var0 <= 4525 || var0 >= 4528 && var0 <= 4534 || var0 == 4537 || var0 == 4539 || var0 >= 4547 && var0 <= 4586 || var0 >= 4588 && var0 <= 4591 || var0 >= 4593 && var0 <= 4600;
         case 32:
            return var0 == 8319;
         case 33:
            return var0 == 8450 || var0 == 8455 || var0 >= 8458 && var0 <= 8467 || var0 == 8469 || var0 >= 8472 && var0 <= 8477 || var0 == 8484 || var0 == 8488 || var0 >= 8492 && var0 <= 8493 || var0 >= 8495 && var0 <= 8504 || var0 >= 8544 && var0 <= 8575;
         case 48:
            return var0 >= 12443 && var0 <= 12444;
         case 49:
            return var0 >= 12593 && var0 <= 12686;
         case 249:
         case 250:
         case 251:
         case 252:
         case 253:
         case 254:
         case 255:
            return true;
         default:
            return false;
      }
   }

   private static boolean isDigit(char var0) {
      return Character.isDigit(var0) && (var0 < '０' || var0 > '９');
   }

   private static boolean isExtender(char var0) {
      return var0 == 183 || var0 == 720 || var0 == 721 || var0 == 903 || var0 == 1600 || var0 == 3654 || var0 == 3782 || var0 == 12293 || var0 >= 12337 && var0 <= 12341 || var0 >= 12445 && var0 <= 12446 || var0 >= 12540 && var0 <= 12542;
   }

   public static boolean isLetter(char var0) {
      if (var0 >= 'a' && var0 <= 'z') {
         return true;
      } else if (var0 == '/') {
         return false;
      } else if (var0 >= 'A' && var0 <= 'Z') {
         return true;
      } else {
         switch (Character.getType(var0)) {
            case 1:
            case 2:
            case 3:
            case 5:
            case 10:
               return !isCompatibilityChar(var0) && (var0 < 8413 || var0 > 8416);
            case 4:
            case 6:
            case 7:
            case 8:
            case 9:
            default:
               return var0 >= 699 && var0 <= 705 || var0 == 1369 || var0 == 1765 || var0 == 1766;
         }
      }
   }

   private static boolean isLetter2(char var0) {
      if (var0 >= 'a' && var0 <= 'z') {
         return true;
      } else if (var0 == '>') {
         return false;
      } else if (var0 >= 'A' && var0 <= 'Z') {
         return true;
      } else {
         switch (Character.getType(var0)) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
               return !isCompatibilityChar(var0) && (var0 < 8413 || var0 > 8416);
            default:
               return var0 == 903;
         }
      }
   }

   public static boolean isNCNameChar(char var0) {
      return var0 != ':' && isNameChar(var0);
   }

   public static boolean isNameChar(char var0) {
      if (isLetter2(var0)) {
         return true;
      } else if (var0 == '>') {
         return false;
      } else {
         return var0 == '.' || var0 == '-' || var0 == '_' || var0 == ':' || isExtender(var0);
      }
   }

   public static boolean isSpace(char var0) {
      return var0 == ' ' || var0 == '\t' || var0 == '\n' || var0 == '\r';
   }
}
