package com.sun.xml.util;

public class XmlNames {
   private XmlNames() {
   }

   public static boolean isNCNmtoken(String var0) {
      return isNmtoken(var0) && var0.indexOf(58) < 0;
   }

   public static boolean isName(String var0) {
      if (var0 == null) {
         return false;
      } else {
         char var1 = var0.charAt(0);
         if (!XmlChars.isLetter(var1) && var1 != '_' && var1 != ':') {
            return false;
         } else {
            for(int var2 = 1; var2 < var0.length(); ++var2) {
               if (!XmlChars.isNameChar(var0.charAt(var2))) {
                  return false;
               }
            }

            return true;
         }
      }
   }

   public static boolean isNmtoken(String var0) {
      int var1 = var0.length();

      for(int var2 = 0; var2 < var1; ++var2) {
         if (!XmlChars.isNameChar(var0.charAt(var2))) {
            return false;
         }
      }

      return true;
   }

   public static boolean isQualifiedName(String var0) {
      if (var0 == null) {
         return false;
      } else {
         int var1 = var0.indexOf(58);
         if (var1 <= 0) {
            return isUnqualifiedName(var0);
         } else {
            int var2 = var0.lastIndexOf(58);
            if (var2 != var1) {
               return false;
            } else {
               return isUnqualifiedName(var0.substring(0, var1)) && isUnqualifiedName(var0.substring(var1 + 1));
            }
         }
      }
   }

   public static boolean isUnqualifiedName(String var0) {
      if (var0 != null && var0.length() != 0) {
         char var1 = var0.charAt(0);
         if (!XmlChars.isLetter(var1) && var1 != '_') {
            return false;
         } else {
            for(int var2 = 1; var2 < var0.length(); ++var2) {
               if (!XmlChars.isNCNameChar(var0.charAt(var2))) {
                  return false;
               }
            }

            return true;
         }
      } else {
         return false;
      }
   }
}
